import { OnInit, ViewContainerRef, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { Definition } from '../../template/model/definition';
import { FormTemplate } from '../../template/form.template';
import { ValidatorUtils } from '../../utils/validator-utils';
import { DynaDataService } from '../crud/services/dyna-data.service';
import { IDirty } from '../../guards/dirty.guard';
import { TranslateService } from '@ngx-translate/core';
import { NotificationService, InitCommonsService } from '@xdf/commons';
import { AuditDialogService } from '../dialogs/audit-dialog/services/audit-dialog.service';
export declare class FormViewComponent implements OnInit, IDirty {
    private formBuilder;
    private vcRef;
    private route;
    private router;
    private validatorUtils;
    dynaDataService: DynaDataService;
    translate: TranslateService;
    notificationService: NotificationService;
    private auditDialogService;
    protected init: InitCommonsService;
    form: FormGroup;
    resourceAuth: any;
    option: string;
    templateDefinition: Definition;
    template: FormTemplate;
    record: any;
    serviceURL: string;
    attributeTypes: Object;
    processing: boolean;
    mode: string;
    showBack: boolean;
    withoutGrid: boolean;
    resetForm: boolean;
    choosedOption: EventEmitter<any>;
    id: any;
    recordIdentifier: any;
    returnUrl: any;
    constructor(formBuilder: FormBuilder, vcRef: ViewContainerRef, route: ActivatedRoute, router: Router, validatorUtils: ValidatorUtils, dynaDataService: DynaDataService, translate: TranslateService, notificationService: NotificationService, auditDialogService: AuditDialogService, init: InitCommonsService);
    ngOnInit(): void;
    getFields(): FormGroup;
    isDirty(): boolean;
    getRef(): ViewContainerRef;
    disabledCondition(control: any): boolean;
    optionEvent(option: any): void;
    submit(): void;
    protected getReturnURL(currentURL: string): string;
    hasContaint(row: any): boolean;
}
